Saltar al contenido principal
GET
/
v1
/
transaction-reports
Listar reportes de transacciones
curl --request GET \
  --url https://plugin-pix-indirect.api.lerian.net/v1/transaction-reports \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://plugin-pix-indirect.api.lerian.net/v1/transaction-reports"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://plugin-pix-indirect.api.lerian.net/v1/transaction-reports', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "items": [
    {
      "amount": "100.50",
      "clientRequestId": "550e8400-e29b-41d4-a716-446655440000",
      "confirmedAt": "2024-01-15T10:32:00Z",
      "createdAt": "2024-01-15T10:30:00Z",
      "creditParty": {
        "account": "123456",
        "accountType": "CACC",
        "bank": "12345678",
        "branch": "0001",
        "document": "12345678901",
        "key": "email@test.com"
      },
      "debitParty": {
        "account": "123456",
        "accountType": "CACC",
        "bank": "12345678",
        "branch": "0001",
        "document": "12345678901",
        "key": "email@test.com"
      },
      "endToEndId": "E12345678202411241430ABCDEFGHIJK",
      "id": "01989f9e-6508-79f8-9540-835be49fbd0d",
      "initiationType": "DICT",
      "pactualId": "550e8400-e29b-41d4-a716-446655440001",
      "returnId": "D12345678202411241430ABCDEFGHIJK",
      "status": "CONFIRMED",
      "submittedAt": "2024-01-15T10:31:00Z",
      "transactionDate": "2024-01-15T10:30:00Z",
      "updatedAt": "2024-01-15T10:32:00Z"
    }
  ],
  "limit": 10,
  "page": 1,
  "total": 42
}
{
  "code": "<string>",
  "title": "<string>",
  "message": "<string>"
}
{
  "code": "<string>",
  "title": "<string>",
  "message": "<string>"
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de consulta

limit
integer
predeterminado:10

Número máximo de elementos por página.

Rango requerido: 1 <= x <= 100
page
integer
predeterminado:1

Número de página para la paginación.

Rango requerido: x >= 1
sort_order
enum<string>
predeterminado:asc

Dirección de ordenamiento: asc o desc.

Opciones disponibles:
asc,
desc
end_to_end_id
string

Filtra por el identificador end-to-end del PIX

return_identification
string

Filtra por la identificación de devolución (reportes de reembolso)

initiation_type
enum<string>

Filtra por tipo de iniciación; no distingue mayúsculas de minúsculas

Opciones disponibles:
MANUAL,
DICT,
STATIC_QRCODE,
DYNAMIC_QRCODE
status
array

Estados de transacción (separados por comas)

created_at_start
string<date-time>

Filtra por reportes creados en esta marca de tiempo o después (RFC3339)

created_at_end
string<date-time>

Filtra por reportes creados en esta marca de tiempo o antes (RFC3339)

Respuesta

OK

items
object[]

Items contiene la lista de reportes de transacciones

limit
integer

Limit es la cantidad máxima de elementos por página

Ejemplo:

10

page
integer

Page es el número de la página actual (a partir de 1)

Ejemplo:

1

total
integer

Total es el conteo total de elementos coincidentes

Ejemplo:

42